# SoIdleSensor Class Reference
[Sensor classes]

`#include <Inventor/sensors/SoIdleSensor.h>`

Inheritance diagram for SoIdleSensor:

List of all members.

## Detailed Description

The SoIdleSensor class is a sensor which will trigger as soon as the application is idle.

An SoIdleSensor differs from an SoOneShotSensor in that it will not trigger if the delay queue processing is occurring due to the delay queue timeout, but only when the application is idle.

See also:
  SoDB::setDelaySensorTimeout()

## Public Member Functions

| SoIdleSensor (void)
| SoIdleSensor (SoSensorCB *func, void *data)
virtual | ~SoIdleSensor (void)

## Constructor & Destructor Documentation

SoIdleSensor::SoIdleSensor | ( | void |  | ) |

| Default constructor.

SoIdleSensor::SoIdleSensor | ( | SoSensorCB * | func,
|  | void * | data
| ) |

Constructor taking as parameters the sensor callback function and the userdata which will be passed the callback.

See also:
  setFunction(), setData()

SoIdleSensor::~SoIdleSensor | ( | void |  | ) | `[virtual]`

| Destructor.

The documentation for this class was generated from the following files:

- SoIdleSensor.h
- SoIdleSensor.cpp